Maceraya hazır mısın! bir BSD almaz mısın?

Duyuru
* Forum tasarımımız yenilendi.
* FreeBSD 10.4 - RELEASE Final çıktı.
* FreeBSD 11.1 - RELEASE Final çıktı.
Son Mesajlar
Çevrimiçi (0)

Mysql 5.5 kurulum hatası

iyi günler 9.3 released bsd sistemime 5.5 kurarken hata ile karşılaşıyorum 
cd /usr/ports/databases/mysql55-client 
make install && make clean 

yazdıktan sonra 

"/usr/ports/Mk/bsd.port.mk", line 1045: Unknown directive
Unknown modifier 't'

Variable .CURDIR is recursive.

hatası alıyorum make komut oluyor sanırım orası güncel mi değilmiş neymiş tam anlamadım orasını 
portsnap fetch extract yazdım bu arada güncelledim yani ama bu hata var yardımlarınızı bekliyorum


Yorumlar

  • Selam

    İmkanınız varsa 10 veya 11 sürümlerini deneyin, ya da mysql 'un daha üst versiyonlarını.

    Sanırım 9 sürümüne destek azaldı, sorununuz ondan da olabilir.

    Ama tabi genede şöyle bir deneyin.
    # portsnap fetch update
    # cd /usr/ports/databases/mysql55-client ; make deinstall clean ; make install clean
    İşe yaramazsa usr/ports/UPDATING dosyasını mysql diye aratıp inceleyiniz, orada bazen çözümler verilir.

    Bu olmazsa PKG ile hazır pakette deneyebilirsiniz. Özel ayar yapmıyorsanız, zaten PKG en kolayı olacaktır.
    # pkg update ; pkg upgrade
    # pkg install mysql55-client

    Maceraya hazır mısın?  Bir BSD almaz mısın!
  • EliasElias 5
    Aralık 2017 düzenlendi
    Felasife dedi:
    Selam

    İmkanınız varsa 10 veya 11 sürümlerini deneyin, ya da mysql 'un daha üst versiyonlarını.

    Sanırım 9 sürümüne destek azaldı, sorununuz ondan da olabilir.

    Ama tabi genede şöyle bir deneyin.
    # portsnap fetch update
    # cd /usr/ports/databases/mysql55-client ; make deinstall clean ; make install clean
    İşe yaramazsa usr/ports/UPDATING dosyasını mysql diye aratıp inceleyiniz, orada bazen çözümler verilir.

    Bu olmazsa PKG ile hazır pakette deneyebilirsiniz. Özel ayar yapmıyorsanız, zaten PKG en kolayı olacaktır.
    # pkg update ; pkg upgrade
    # pkg install mysql55-client
    pkg ile 5.5 kuruldu ama işlemlere devam ederken hata aldım /usr/local/etc/rc.d/mysql-server onestart  yazdım /usr/local/etc/rc.d/mysql-server: Command not found. böyle bir hata verdi ben 9.2 yi indiriyordum normalde de 10 veya 11 i mi tavsiye ediyorsunuz güvenlik açısından iyi olabilir performans konusunda bir fikrim yok bir de aklıma birşey takıldı 9.2 de sorunsuz kuruluyorken 9.3 te neden hata verdi daha üst sürüm değil mi 9.3 bsd.port.mk dosyasını internetten buldum karşılatırdım merge programıyla tek bir harf bile farkı yok
  • rc.conf dosyasına mysql satırı ekliyor musunuz?
    Ayrıca o komutun sonunu onestart bunu değiştirip, start veya restart diyede yapabilirsiniz.

    Eğer fazla karıştıysa sistemi yeniden kurup öyle deneyin.
    Yani bazen sürüm farkları olabilir, 9.3 de o yüzden sıkıntı olabilir ama sebep illa sürüm yüzünden de olmaz, kullanıcıda bazı adımları unutur, veya donanım sorunu olur, veya dosya eksik iner vs.

    Maceraya hazır mısın?  Bir BSD almaz mısın!
  • Felasife dedi:
    rc.conf dosyasına mysql satırı ekliyor musunuz?
    Ayrıca o komutun sonunu onestart bunu değiştirip, start veya restart diyede yapabilirsiniz.

    Eğer fazla karıştıysa sistemi yeniden kurup öyle deneyin.
    Yani bazen sürüm farkları olabilir, 9.3 de o yüzden sıkıntı olabilir ama sebep illa sürüm yüzünden de olmaz, kullanıcıda bazı adımları unutur, veya donanım sorunu olur, veya dosya eksik iner vs.
    cevabınız için teşekkürler kaldırdım 9.3 ü. 10.4 stabil sürümünü indirdim şuan sorunsuz 
  • Geçmiş olsun.

    Maceraya hazır mısın?  Bir BSD almaz mısın!
Bu konu kapatıldı.